package model;

import java.util.ArrayList;

public abstract class Piece {
	protected Position p;
	protected int color;

	public static final int WHITE = 1, BLACK = 2;

	protected Piece(Position p, int color) {
		this.p = p;
		this.color = color;
	}

	public int getColor() {
		return color;
	}

	public Position getPosition() {
		return p;
	}

	protected void move(Position p) {
		this.p = p;
	}
}
